%define		name	fget
%define		version	1.2.9

Name: %{name}
Version: %{version}
Release: 1
Summary: fget
Group: Applications/Internet
License: BSD-like
Summary: fget - FTP client API and commandline utility
URL: http://www-dev.cites.uiuc.edu/fget/
Source: ftp://ftp-dev.cites.uiuc.edu/pub/fget/%{name}-%{version}.tar.gz
Patch: fget-dynlib.patch
Packager: Dan Lark <dlark@spinn.net>
Buildroot: %{_tmppath}/%{name}-buildroot

%description
fget is a commandline tool for mirroring remote files via FTP. It was
designed as an analog to the GNU wget utility. The fget package includes an
FTP client library, so that others can make use of FTP from within their own
C programs.

fget offers the following features: 
* Small and fast. 
* Remote directory caching built into the FTP client library. 
* API designed to resemble the normal UNIX API for accessing files and
  directories, so it's very easy to use.

%package devel
Group: Development/Libraries
Summary: Devlopment tools for libfget
%description devel
Header file, man pages and static C libray for fget

%prep
%setup
%patch -p1 -b .dynlib
%configure
%build
make

%install
mkdir -p $RPM_BUILD_ROOT/{usr/lib,usr/include,usr/bin}
make DESTDIR=$RPM_BUILD_ROOT install 

%clean
rm -rf $RPM_BUILD_ROOT

%post
ldconfig

%postun
ldconfig

%files
%defattr(-,root,root)
%attr(755,root,root)/usr/lib/libfget.so
%attr(755,root,root)/usr/bin/fget
%attr(644,root,root)/usr/share/man/man1/*
%doc ChangeLog ChangeLog-1.1.x COPYRIGHT INSTALL README TODO

%files devel
%defattr(-,root,root)
%attr(644,root,root)/usr/lib/libfget.a
%attr(644,root,root)/usr/include/libfget.h
%attr(644,root,root)/usr/share/man/man3/*
%doc compat/ChangeLog compat/README compat/TODO doc/draft-ietf-ftpext-mlst-16.txt doc/rfc1738.txt
%doc doc/rfc2389.txt doc/rfc959.txt listhash/ChangeLog listhash/TODO pathcode/ChangeLog
